summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 14:55:18 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:18 +0200
commita026a8265500ccedb97a314008f0dca56e3364a8 (patch)
tree50bf7cc5b196191726ee1a031f42121fbe7c14af
parentf56547623816cb0f25fada54afa6e5e118a1c5fc (diff)
downloadslackbuilds-a026a8265500ccedb97a314008f0dca56e3364a8.tar.gz
slackbuilds-a026a8265500ccedb97a314008f0dca56e3364a8.tar.xz
graphics/pcb: Initial import
-rw-r--r--graphics/pcb/README6
-rw-r--r--graphics/pcb/pcb.SlackBuild64
-rw-r--r--graphics/pcb/pcb.info8
-rw-r--r--graphics/pcb/slack-desc11
4 files changed, 89 insertions, 0 deletions
diff --git a/graphics/pcb/README b/graphics/pcb/README
new file mode 100644
index 0000000000..dd5625713e
--- /dev/null
+++ b/graphics/pcb/README
@@ -0,0 +1,6 @@
+PCB is an interactive printed circuit board editor for the X11 window system.
+PCB includes a rats nest feature, design rule checking, and can provide
+industry standard RS-274-X (Gerber), NC drill, and centroid data (X-Y data)
+output for use in the board fabrication and assembly process. PCB offers high
+end features such as an autorouter and trace optimizer which can tremendously
+reduce layout time.
diff --git a/graphics/pcb/pcb.SlackBuild b/graphics/pcb/pcb.SlackBuild
new file mode 100644
index 0000000000..9be4e21ffb
--- /dev/null
+++ b/graphics/pcb/pcb.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for pcb
+# Written by Kyle Guinn
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=pcb
+VERSION=20070208p1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-gui=gtk \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+rm -rf $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+gzip -9 $PKG/usr/man/man1/pcb.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# The package installs many docs to /usr/share/pcb, but all of the files in
+# that directory are not documentation. I'm not extremely happy about this
+# idea, but it's the best one I have at the moment...
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -s ../../share/pcb OTHER_DOCS )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/pcb/pcb.info b/graphics/pcb/pcb.info
new file mode 100644
index 0000000000..a952a3241a
--- /dev/null
+++ b/graphics/pcb/pcb.info
@@ -0,0 +1,8 @@
+PRGNAM="pcb"
+VERSION="20070208"
+HOMEPAGE="http://pcb.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/pcb/pcb-20070208p1.tar.gz"
+MD5SUM="c4d7ead28e2b2ee6b171a94212a7bc2f"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="BP{k}"
diff --git a/graphics/pcb/slack-desc b/graphics/pcb/slack-desc
new file mode 100644
index 0000000000..b688c56d2d
--- /dev/null
+++ b/graphics/pcb/slack-desc
@@ -0,0 +1,11 @@
+pcb: Printed Circuit Board Editor
+pcb:
+pcb: PCB is an interactive printed circuit board editor for the X11
+pcb: window system. PCB includes a rats nest feature, design rule
+pcb: checking, and can provide industry standard RS-274-X (Gerber),
+pcb: NC drill, and centroid data (X-Y data) output for use in the
+pcb: board fabrication and assembly process. PCB offers high end
+pcb: features such as an autorouter and trace optimizer which can
+pcb: tremendously reduce layout time.
+pcb:
+pcb: